Debian Bug report logs - #705221
ITP: pcapfix -- repair broken pcap files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Date: Thu, 11 Apr 2013 13:39:12 UTC

Owned by: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Severity: wishlist

Fixed in version pcapfix/0.7.2-1

Done: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#705221; Package wnpp. (Thu, 11 Apr 2013 13:39:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 11 Apr 2013 13:39:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pcapfix -- repair broken pcap files
Date: Thu, 11 Apr 2013 10:26:26 -0300
Package: wnpp
Severity: wishlist
Owner: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

* Package name    : pcapfix
  Version         : 0.7.2
  Upstream Author : Robert Krause <ruport@f00l.de>
* URL             : http://f00l.de/pcapfix
* License         : GPL3
  Programming Lang: C
  Description     : repair broken pcap files

 pcapfix tries to repair your broken pcap files fixing the global header and
 recovering the packets by searching and guessing the packet headers.
 .
 The tool first checks for an intact pcap global header and  repairs the all
 file if there are some corrupted bytes. It there seems to be no global header
 at all, pcapfix adds a self-created one at the beginning of the file. In a
 second step the tool tries to find pcap packet headers inside the file, below
 the global header. It checks if the values are correct (or seem to be
 correct) and tries to repair a packet if there is something wrong.
 .
 But, why? Sometimes your captured pcap files (from tcpdump, Wireshark or other)
 got cut off or are being corrupted in other ways. Although some captured the
 flag challenges deal with damaged pcap files periodically.
 .
 pcapfix will first step through the packets top down until it recognizes a
 corrupted one by using plausibility checks. After that the tool will brute
 force further pcap packet headers by reading the file byte by byte. If another
 proper packet is found, pcapfix restores the data in between by adding a
 well-formed pcap packet header.
 .
 Screenshot: http://f00l.de/pcapfix/pcapfix-0.4.png



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#705221; Package wnpp. (Fri, 12 Apr 2013 08:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Fri, 12 Apr 2013 08:03:04 GMT) Full text and rfc822 format available.

Message #10 received at 705221@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>, 705221@bugs.debian.org
Subject: Re: Bug#705221: ITP: pcapfix -- repair broken pcap files
Date: Fri, 12 Apr 2013 10:00:28 +0200
Hi,

On 04/11/2013 15:26, Joao Eriberto Mota Filho wrote:
> * Package name    : pcapfix
>   Version         : 0.7.2
>   Upstream Author : Robert Krause <ruport@f00l.de>
> * URL             : http://f00l.de/pcapfix
> * License         : GPL3
>   Programming Lang: C
>   Description     : repair broken pcap files
> 
>  pcapfix tries to repair your broken pcap files fixing the global header and
>  recovering the packets by searching and guessing the packet headers.

Could this be made part of pcaputils instead? From the package
description it looks like it might fit in there.

Ansgar





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#705221; Package wnpp. (Fri, 12 Apr 2013 13:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Carlos Alberto Lopez Perez <clopez@igalia.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Fri, 12 Apr 2013 13:27:08 GMT) Full text and rfc822 format available.

Message #15 received at 705221@bugs.debian.org (full text, mbox):

From: Carlos Alberto Lopez Perez <clopez@igalia.com>
To: ansgar@debian.org
Cc: 705221@bugs.debian.org
Subject: Re: Bug#705221: ITP: pcapfix -- repair broken pcap files
Date: Fri, 12 Apr 2013 15:22:25 +0200
[Message part 1 (text/plain, inline)]
On 12/04/13 10:00, Ansgar Burchardt wrote:
> Could this be made part of pcaputils instead? From the package
> description it looks like it might fit in there.

How such things could be done? It will require both upstreams to merge?
Or do you can create a Debian package that merges two upstreams
tarballs? How?


I'm just curious.



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug#705221; Package wnpp. (Fri, 12 Apr 2013 17:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. (Fri, 12 Apr 2013 17:15:09 GMT) Full text and rfc822 format available.

Message #20 received at 705221@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 705221@bugs.debian.org
Subject: Re: Bug#705221: ITP: pcapfix -- repair broken pcap files
Date: Fri, 12 Apr 2013 14:12:25 -0300
[Message part 1 (text/plain, inline)]
Hi Ansgar,

My idea is maintain the package. The pcaputils has an unique source,
developed and packaged by same person.

I will build and put the pcapfix in mentors.debian.net tomorrow. Can you
sponsor this package for me???

Thanks in advance.

Regards,

Eriberto - Brazil


2013/4/12 Ansgar Burchardt <ansgar@debian.org>

> Hi,
>
> On 04/11/2013 15:26, Joao Eriberto Mota Filho wrote:
> > * Package name    : pcapfix
> >   Version         : 0.7.2
> >   Upstream Author : Robert Krause <ruport@f00l.de>
> > * URL             : http://f00l.de/pcapfix
> > * License         : GPL3
> >   Programming Lang: C
> >   Description     : repair broken pcap files
> >
> >  pcapfix tries to repair your broken pcap files fixing the global header
> and
> >  recovering the packets by searching and guessing the packet headers.
>
> Could this be made part of pcaputils instead? From the package
> description it looks like it might fit in there.
>
> Ansgar
>
>
>
[Message part 2 (text/html, inline)]

Added blocking bug(s) of 705221: 705360 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sun, 14 Apr 2013 04:27:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Eriberto <eriberto@eriberto.pro.br> to control@bugs.debian.org. (Mon, 22 Apr 2013 09:48:07 GMT) Full text and rfc822 format available.

Reply sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
You have taken responsibility. (Fri, 31 May 2013 13:03:26 GMT) Full text and rfc822 format available.

Notification sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
Bug acknowledged by developer. (Fri, 31 May 2013 13:03:26 GMT) Full text and rfc822 format available.

Message #29 received at 705221-close@bugs.debian.org (full text, mbox):

From: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
To: 705221-close@bugs.debian.org
Subject: Bug#705221: fixed in pcapfix 0.7.2-1
Date: Fri, 31 May 2013 13:00:08 +0000
Source: pcapfix
Source-Version: 0.7.2-1

We believe that the bug you reported is fixed in the latest version of
pcapfix, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705221@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> (supplier of updated pcapfix package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Apr 2013 15:39:11 +0000
Source: pcapfix
Binary: pcapfix
Architecture: source amd64
Version: 0.7.2-1
Distribution: unstable
Urgency: low
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Changed-By: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Description: 
 pcapfix    - repairs broken pcap files
Closes: 705221
Changes: 
 pcapfix (0.7.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #705221)
Checksums-Sha1: 
 4d70ef8fa98147e7101037c1a6eac24e1a5a9ccf 1210 pcapfix_0.7.2-1.dsc
 d7887af37b1f453ebdcf41fd723b5bedb9cdd962 26019 pcapfix_0.7.2.orig.tar.gz
 4a1c9edd5e8d1a98fb3daf892c04d327155bb90d 10800 pcapfix_0.7.2-1.debian.tar.gz
 7bce64306c418aec2efb678015d46695266e5988 29868 pcapfix_0.7.2-1_amd64.deb
Checksums-Sha256: 
 4432a67af5fe8638621f13ebc3a757c4d173bda00d78d847858176afa40df82b 1210 pcapfix_0.7.2-1.dsc
 fb94c597a28fb619e98d1c3dea0412314670bca7b2e8297f19fd4de1ffc2b4d8 26019 pcapfix_0.7.2.orig.tar.gz
 65f3d23b34e70e02469cd62e1e95253afc1a01a6b401d419f69c365446bb18ad 10800 pcapfix_0.7.2-1.debian.tar.gz
 b7d0a496d10e0bef96e71e389db2b4fcaf941bd091bb9ec4dd22d9f755c3dbb8 29868 pcapfix_0.7.2-1_amd64.deb
Files: 
 05a210c376e80f9b90b8311f0146d7a2 1210 net optional pcapfix_0.7.2-1.dsc
 62eb756395ca187a558b0493005b9b07 26019 net optional pcapfix_0.7.2.orig.tar.gz
 b8c499233c81d526fb7d09d82fce3621 10800 net optional pcapfix_0.7.2-1.debian.tar.gz
 b9b5088a6668400f1fc9aff9dfcfe38b 29868 net optional pcapfix_0.7.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGf74wACgkQDOM8kQ+cso+MDQCdGZ2iKIcysLXp6yboUCMQ0PXM
DBYAn3iPpuTDEGPqoBKY69PHpL5wDxL7
=Y3+/
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:30:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:15:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.